- name: Controller
  count: 3
  defaults:
    image:
      href: file:///var/lib/ironic/images/overcloud-full.raw
    networks:
    - network: ctlplane
      subnet: ctlplane-subnet
      vif: true
    - network: external
      subnet: external_subnet
    - network: internalapi
      subnet: internal_api_subnet
    - network: storage
      subnet: storage_subnet
    - network: storagemgmt
      subnet: storage_mgmt_subnet
    - network: tenant
      subnet: tenant_subnet01
    network_config:
      template: /home/stack/templates/nic-configs/bonds_vlans.j2
      default_route_network:
      - external
- name: ComputeHCI
  count: 3
  defaults:
    image:
      href: file:///var/lib/ironic/images/overcloud-full.raw
    networks:
    - network: ctlplane
      subnet: ctlplane-subnet
      vif: true
    - network: external
      subnet: external_subnet
    - network: internalapi
      subnet: internal_api_subnet
    - network: storage
      subnet: storage_subnet
    - network: storagemgmt
      subnet: storage_mgmt_subnet
    - network: tenant
      subnet: tenant_subnet02
    network_config:
      template: /home/stack/templates/nic-configs/bonds_vlans.j2
      default_route_network:
      - external
